CC = gcc
LD = gcc
CFLAGS = -Wall
LDFLAGS = -L/usr/X11R6/lib -lX11 -lpthread
RM = /bin/rm -f
OBJS = main.o calibrationDraw.o color.o sample_grabber.o ioctl.o
PROG = std-calib

all: $(PROG)

$(PROG): $(OBJS)
	$(LD) $(LDFLAGS) $(OBJS) -o $(PROG)
	rm -f *.o

%.o: %.c
	$(CC) $(CFLAGS) -c $<

clean:
	$(RM) $(PROG) $(OBJS)
